Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.jta.hibernate3
Class TransactionManagerLookup

    java.lang.Object
      com.atomikos.icatch.jta.hibernate3.TransactionManagerLookup

All Implemented Interfaces:
  org.hibernate.transaction.TransactionManagerLookup

    public class TransactionManagerLookup

extends Object
implements org.hibernate.transaction.TransactionManagerLookup

This class is provided for Hibernate3 integration. To use Atomikos as the Hibernate JTA transaction manager, specify this class as the value of the hibernate.transaction.manager_lookup_class of the hibernate configuration properties.

Constructor Summary
`TransactionManagerLookup()`

Method Summary
`Object` | `getTransactionIdentifier(Transaction transaction)`
`TransactionManager` | `getTransactionManager(Properties props)`
`String` | `getUserTransactionName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransactionManagerLookup

    public TransactionManagerLookup()

Method Detail

### getTransactionManager

    public TransactionManager getTransactionManager(Properties props)
                                             throws org.hibernate.HibernateException

  Specified by:
    `getTransactionManager` in interface `org.hibernate.transaction.TransactionManagerLookup`
  Throws:
    `org.hibernate.HibernateException`

### getUserTransactionName

    public String getUserTransactionName()

  Specified by:
    `getUserTransactionName` in interface `org.hibernate.transaction.TransactionManagerLookup`

### getTransactionIdentifier

    public Object getTransactionIdentifier(Transaction transaction)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.